ghc-lib-parser-9.10.1.20250103: The GHC API, decoupled from GHC versions

Safe Haskell | Ignore
Language | GHC2021

GHC.HsToCore.Errors.Ppr

Contents

- Orphan instances

# Documentation

badMonadBind :: Type -> SDoc #

pprEqn :: HsMatchContextRn -> SDoc -> String -> SDoc #

pprContext :: Bool -> HsMatchContextRn -> SDoc -> ((SDoc -> SDoc) -> SDoc) -> SDoc #

dots :: Int -> [a] -> SDoc #

# Orphan instances

Diagnostic DsMessage # |

Instance details

Associated Types

type DiagnosticOpts DsMessage |
Instance details Defined in GHC.HsToCore.Errors.Ppr type DiagnosticOpts DsMessage = NoDiagnosticOpts

Methods

diagnosticMessage :: DiagnosticOpts DsMessage -> DsMessage -> DecoratedSDoc #

diagnosticReason :: DsMessage -> DiagnosticReason #

diagnosticHints :: DsMessage -> [GhcHint] #

diagnosticCode :: DsMessage -> Maybe DiagnosticCode #